Main Page Widgets Namespaces Book

# Gtk::AboutDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::AboutDialog:

[legend]
List of all members.

## Detailed Description

The AboutDialog offers a simple way to display information about a program like its logo, name, copyright, website and license.

It is also possible to give credits to the authors, documenters, translators and artists who have worked on the program. An about dialog is typically opened when the user selects the About option from the Help menu. All parts of the dialog are optional.

About dialogs often contain links and email addresses. Gtk::AboutDialog supports this by offering global hooks, which are called when the user clicks on a link or email address, see set_email_hook() and set_url_hook(). Email addresses in the authors, documenters and artists properties are recognized by looking for <user>, URLs are recognized by looking for http://url, with the URL extending to the next space, tab or line break.

## Public Types

typedef sigc::slot< void, AboutDialog&, const Glib::ustring& > | SlotActivateLink
| For instance, void on_activate_link_url(AboutDialog& about_dialog, const Glib::ustring& link);.

## Public Member Functions

| AboutDialog ()
Glib::StringArrayHandle | get_artists () const
| Returns the string which are displayed in the artists tab of the secondary credits dialog.
Glib::StringArrayHandle | get_authors () const
| Returns the string which are displayed in the authors tab of the secondary credits dialog.
Glib::ustring | get_comments () const
| Returns the comments string.
Glib::ustring | get_copyright () const
| Returns the copyright string.
Glib::StringArrayHandle | get_documenters () const
| Returns the string which are displayed in the documenters tab of the secondary credits dialog.
Glib::ustring | get_license () const
| Returns the license information.
Glib::RefPtr<const Gdk::Pixbuf> | get_logo () const
| Returns the pixbuf displayed as logo in the about dialog.
Glib::RefPtr<Gdk::Pixbuf> | get_logo ()
| Returns the pixbuf displayed as logo in the about dialog.
Glib::ustring | get_logo_icon_name () const
| Returns the icon name displayed as logo in the about dialog.
Glib::ustring | get_name () const
| Returns the program name displayed in the about dialog.
Glib::ustring | get_translator_credits () const
| Returns the translator credits string which is displayed in the translators tab of the secondary credits dialog.
Glib::ustring | get_version () const
| Returns the version string.
Glib::ustring | get_website () const
| Returns the website URL.
Glib::ustring | get_website_label () const
| Returns the label used for the website link.
bool | get_wrap_license () const
| Returns whether the license text in about is automatically wrapped.
const GtkAboutDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkAboutDialog* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_artists (const Glib::StringArrayHandle& artists)
| Sets the strings which are displayed in the artists tab of the secondary credits dialog.
void | set_authors (const Glib::StringArrayHandle& authors) const
| Sets the strings which are displayed in the authors tab of the secondary credits dialog.
void | set_comments (const Glib::ustring& comments)
| Sets the comments string to display in the about dialog.
void | set_copyright (const Glib::ustring& copyright)
| Sets the copyright string to display in the about dialog.
void | set_documenters (const Glib::StringArrayHandle& documenters)
| Sets the strings which are displayed in the documenters tab of the secondary credits dialog.
void | set_license (const Glib::ustring& license)
| Sets the license information to be displayed in the secondary license dialog.
void | set_logo (const Glib::RefPtr<Gdk::Pixbuf>& logo)
| Sets the pixbuf to be displayed as logo in the about dialog.
void | set_logo_icon_name (const Glib::ustring& icon_name)
| Sets the pixbuf to be displayed as logo in the about dialog.
void | set_name (const Glib::ustring& name)
| Sets the name to display in the about dialog.
void | set_translator_credits (const Glib::ustring& translator_credits)
| Sets the translator credits string which is displayed in the translators tab of the secondary credits dialog.
void | set_version (const Glib::ustring& version)
| Sets the version string to display in the about dialog.
void | set_website (const Glib::ustring& website)
| Sets the URL to use for the website link.
void | set_website_label (const Glib::ustring& website_label)
| Sets the label to be used for the website link.
void | set_wrap_license (bool wrap_license)
| Sets whether the license text in about is automatically wrapped.
virtual | ~AboutDialog ()

## Static Public Member Functions

static void | set_email_hook (const SlotActivateLink& slot)
| Installs a global callback to be called whenever the user activates an email link in an about dialog.
static void | set_url_hook (const SlotActivateLink& slot)
| Installs a global callback to be called whenever the user activates a URL link in an about dialog.

## Related Functions

(Note that these are not member functions.)
Gtk::AboutDialog* | wrap (GtkAboutDialog* object, bool take_copy=false)

## Member Typedef Documentation

typedef sigc::slot<void, AboutDialog& , const Glib::ustring& > Gtk::AboutDialog::SlotActivateLink

| For instance, void on_activate_link_url(AboutDialog& about_dialog, const Glib::ustring& link);.

## Constructor & Destructor Documentation

virtual Gtk::AboutDialog::~AboutDialog | ( |  | ) | `[virtual]`

Gtk::AboutDialog::AboutDialog | ( |  | ) |

## Member Function Documentation

Glib::StringArrayHandle Gtk::AboutDialog::get_artists | ( |  | ) | const

Returns the string which are displayed in the artists tab of the secondary credits dialog.

Returns:
  A `0`-terminated string array containing the artists. The array is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::StringArrayHandle Gtk::AboutDialog::get_authors | ( |  | ) | const

Returns the string which are displayed in the authors tab of the secondary credits dialog.

Returns:
  A `0`-terminated string array containing the authors. The array is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_comments | ( |  | ) | const

Returns the comments string.

Returns:
  The comments. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_copyright | ( |  | ) | const

Returns the copyright string.

Returns:
  The copyright string. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::StringArrayHandle Gtk::AboutDialog::get_documenters | ( |  | ) | const

Returns the string which are displayed in the documenters tab of the secondary credits dialog.

Returns:
  A `0`-terminated string array containing the documenters. The array is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_license | ( |  | ) | const

Returns the license information.

Returns:
  The license information. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::RefPtr<const Gdk::Pixbuf> Gtk::AboutDialog::get_logo | ( |  | ) | const

Returns the pixbuf displayed as logo in the about dialog.

Returns:
  The pixbuf displayed as logo. The pixbuf is owned by the about dialog. If you want to keep a reference to it, you have to call Glib::object_ref() on it.

Since gtkmm 2.6:

Glib::RefPtr<Gdk::Pixbuf> Gtk::AboutDialog::get_logo | ( |  | ) |

Returns the pixbuf displayed as logo in the about dialog.

Returns:
  The pixbuf displayed as logo. The pixbuf is owned by the about dialog. If you want to keep a reference to it, you have to call Glib::object_ref() on it.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_logo_icon_name | ( |  | ) | const

Returns the icon name displayed as logo in the about dialog.

Returns:
  The icon name displayed as logo. The string is owned by the dialog. If you want to keep a reference to it, you have to call Glib::strdup() on it.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_name | ( |  | ) | const

Returns the program name displayed in the about dialog.

Returns:
  The program name. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Reimplemented from Gtk::Widget.

Glib::ustring Gtk::AboutDialog::get_translator_credits | ( |  | ) | const

Returns the translator credits string which is displayed in the translators tab of the secondary credits dialog.

Returns:
  The translator credits string. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_version | ( |  | ) | const

Returns the version string.

Returns:
  The version string. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_website | ( |  | ) | const

Returns the website URL.

Returns:
  The website URL. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

Glib::ustring Gtk::AboutDialog::get_website_label | ( |  | ) | const

Returns the label used for the website link.

Returns:
  The label used for the website link. The string is owned by the about dialog and must not be modified.

Since gtkmm 2.6:

bool Gtk::AboutDialog::get_wrap_license | ( |  | ) | const

Returns whether the license text in about is automatically wrapped.

Returns:
  `true` if the license text is wrapped

Since gtkmm 2.8:

const GtkAboutDialog* Gtk::AboutDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkAboutDialog* Gtk::AboutDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

void Gtk::AboutDialog::set_artists | ( | const Glib::StringArrayHandle& | artists | ) |

Sets the strings which are displayed in the artists tab of the secondary credits dialog.

Since gtkmm 2.6:

Parameters:

  | artists | A `0`-terminated array of strings.

void Gtk::AboutDialog::set_authors | ( | const Glib::StringArrayHandle& | authors | ) | const

Sets the strings which are displayed in the authors tab of the secondary credits dialog.

Since gtkmm 2.6:

Parameters:

  | authors | A `0`-terminated array of strings.

void Gtk::AboutDialog::set_comments | ( | const Glib::ustring& | comments | ) |

Sets the comments string to display in the about dialog.

This should be a short string of one or two lines.

Since gtkmm 2.6:

Parameters:

  | comments | A comments string.

void Gtk::AboutDialog::set_copyright | ( | const Glib::ustring& | copyright | ) |

Sets the copyright string to display in the about dialog.

This should be a short string of one or two lines.

Since gtkmm 2.6:

Parameters:

  | copyright | The copyright string.

void Gtk::AboutDialog::set_documenters | ( | const Glib::StringArrayHandle& | documenters | ) |

Sets the strings which are displayed in the documenters tab of the secondary credits dialog.

Since gtkmm 2.6:

Parameters:

  | documenters | A `0`-terminated array of strings.

static void Gtk::AboutDialog::set_email_hook | ( | const SlotActivateLink& | slot | ) | `[static]`

Installs a global callback to be called whenever the user activates an email link in an about dialog.

Parameters:

  | slot | A function or method to call when an email link is activated.

void Gtk::AboutDialog::set_license | ( | const Glib::ustring& | license | ) |

Sets the license information to be displayed in the secondary license dialog.

If license is `0`, the license button is hidden.

Since gtkmm 2.6:

Parameters:

  | license | The license information or `0`.

void Gtk::AboutDialog::set_logo | ( | const Glib::RefPtr<Gdk::Pixbuf>& | logo | ) |

Sets the pixbuf to be displayed as logo in the about dialog.

If it is `0`, the default window icon set with Gtk::Window::set_default_icon() will be used.

Since gtkmm 2.6:

Parameters:

  | logo | A Gdk::Pixbuf, or `0`.

void Gtk::AboutDialog::set_logo_icon_name | ( | const Glib::ustring& | icon_name | ) |

Sets the pixbuf to be displayed as logo in the about dialog.

If it is `0`, the default window icon set with Gtk::Window::set_default_icon() will be used.

Since gtkmm 2.6:

Parameters:

  | icon_name | An icon name, or `0`.

void Gtk::AboutDialog::set_name | ( | const Glib::ustring& | name | ) |

Sets the name to display in the about dialog.

If this is not set, it defaults to Glib::get_application_name().

Since gtkmm 2.6:

Parameters:

  | name | The program name.

Reimplemented from Gtk::Widget.

void Gtk::AboutDialog::set_translator_credits | ( | const Glib::ustring& | translator_credits | ) |

Sets the translator credits string which is displayed in the translators tab of the secondary credits dialog.

The intended use for this string is to display the translator of the language which is currently used in the user interface. Using gettext(), a simple way to achieve that is to mark the string for translation:

     gtk_about_dialog_set_translator_credits (about, _("translator-credits"));

It is a good idea to use the customary msgid "translator-credits" for this purpose, since translators will already know the purpose of that msgid, and since Gtk::AboutDialog will detect if "translator-credits" is untranslated and hide the tab.

Since gtkmm 2.6:

Parameters:

  | translator_credits | The translator credits.

static void Gtk::AboutDialog::set_url_hook | ( | const SlotActivateLink& | slot | ) | `[static]`

Installs a global callback to be called whenever the user activates a URL link in an about dialog.

Parameters:

  | slot | A function or method to call when a URL link is activated.

void Gtk::AboutDialog::set_version | ( | const Glib::ustring& | version | ) |

Sets the version string to display in the about dialog.

Since gtkmm 2.6:

Parameters:

  | version | The version string.

void Gtk::AboutDialog::set_website | ( | const Glib::ustring& | website | ) |

Sets the URL to use for the website link.

Since gtkmm 2.6:

Parameters:

  | website | A URL string starting with "http://".

void Gtk::AboutDialog::set_website_label | ( | const Glib::ustring& | website_label | ) |

Sets the label to be used for the website link.

It defaults to the website URL.

Since gtkmm 2.6:

Parameters:

  | website_label | The label used for the website link.

void Gtk::AboutDialog::set_wrap_license | ( | bool | wrap_license | ) |

Sets whether the license text in about is automatically wrapped.

Since gtkmm 2.8:

Parameters:

  | wrap_license | Whether to wrap the license.

## Friends And Related Function Documentation

Gtk::AboutDialog* wrap | ( | GtkAboutDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- aboutdialog.h